<?php

namespace UnicaenCode\Service\Factory;

use Psr\Container\ContainerInterface;
use UnicaenCode\Service\CollectorService;
use UnicaenCode\Service\ConfigService;

class CollectorServiceFactory
{

    public function __invoke(ContainerInterface $container, $requestedName, $options = null)
    {
        $service = new CollectorService();
        $service->setServiceConfig($container->get(ConfigService::class));

        return $service;
    }

}