<?php

return [
    'title'          => 'Création d\'un nouveau formulaire',
    'generator'      => 'Form',
    'type'           => [
        'type'    => 'select',
        'label'   => 'Type de formulaire (Form ou Fieldset)',
        'options' => ['Form' => 'Form', 'Fieldset' => 'Fieldset'],
        'value'   => 'Form',
    ],
    'class'          => [
        'label' => 'Nom de classe du formulaire',
        'value' => 'Application\Form\MonFormulaireForm',
    ],
    'useHydrator'    => [
        'type'  => 'checkbox',
        'label' => 'Implémenter un hydrateur spécifique',
    ],
    'awareTrait'     => [
        'type'  => 'checkbox',
        'label' => 'Générer un trait',
        'value' => true,
    ],
    'awareInterface' => [
        'type'  => 'checkbox',
        'label' => 'Générer une interface',
        'value' => false,
    ],
    'useGetter'      => [
        'type'  => 'checkbox',
        'label' => 'Générer des getters dans les traits et les interfaces',
        'value' => true,
    ],
    'factory'        => [
        'type'  => 'checkbox',
        'label' => 'Générer une factory',
        'value' => true,
    ],
    'subDir'         => [
        'type'  => 'checkbox',
        'label' => 'Les traits, interfaces et Factory seront placés dans des sous-dossiers dédiés',
        'value' => false,
    ],
];